Bug 255992 - devel/py-python-bugzilla: Update to 3.0.2
Summary: devel/py-python-bugzilla: Update to 3.0.2
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-19 09:21 UTC by Li-Wen Hsu
Modified: 2021-05-21 02:29 UTC (History)
0 users

See Also:
lwhsu: merge-quarterly-


Attachments
v1-0001-devel-py-python-bugzilla-Update-to-3.0.2.patch (1.96 KB, patch)
2021-05-19 09:21 UTC, Li-Wen Hsu
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Wen Hsu freebsd_committer 2021-05-19 09:21:11 UTC
Created attachment 225082 [details]
v1-0001-devel-py-python-bugzilla-Update-to-3.0.2.patch

[PATCH] devel/py-python-bugzilla: Update to 3.0.2

While here, remove '3.5+' requirement since ports default to python3 and
least pythond version is 3.6.

Changelog:
  https://github.com/python-bugzilla/python-bugzilla/releases/tag/v3.0.2
  https://github.com/python-bugzilla/python-bugzilla/releases/tag/v3.0.1
  https://github.com/python-bugzilla/python-bugzilla/releases/tag/v3.0.0
---
 devel/py-python-bugzilla/Makefile | 4 ++--
 devel/py-python-bugzilla/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-20 00:07:41 UTC
^Triage: Needs QA
Comment 2 Li-Wen Hsu freebsd_committer 2021-05-20 01:28:23 UTC
portlint, poudriere are both fine, the only port use it (deskutils/py-bugwarrior) tested with the update. I've been using this new version for a week and have no problem.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-20 01:55:58 UTC
(In reply to Li-Wen Hsu from comment #2)

Thanks Li-Wen. Does the test suite pass?
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-20 04:35:56 UTC
Comment on attachment 225082 [details]
v1-0001-devel-py-python-bugzilla-Update-to-3.0.2.patch

Pending QA:

Approved by: koobs (maintainer)

If the change fixes bugs reproducible in the quarterly port version:

MFH: 2020Q2 (bugfix)
Comment 5 Li-Wen Hsu freebsd_committer 2021-05-20 05:30:05 UTC
Of course I checked the test suit passed.

This is major version update so it is not a butfix.

BTW, I'm using this quite often, I'm happy to take the maintainership of this port.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-21 02:29:23 UTC
(In reply to Li-Wen Hsu from comment #5)

Apologies Li-Wen, can't read minds. Explicit QA comments are very handy.

The change is approved to commit, per comment 4